Package com.github.lgooddatepicker.zinternaltools

## Class TimeChangeEvent

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.TimeChangeEvent

    public class TimeChangeEvent
    extends java.lang.Object

TimeChangeEvent, An instance of this event class is passed to each registered TimeChangeListener, each time that the time in a time picker changes.

### Constructor Summary

Constructors
`TimeChangeEvent​(TimePicker source, java.time.LocalTime oldTime, java.time.LocalTime newTime)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.time.LocalTime` `getNewTime()` getNewTime, Returns the new value of the TimePicker time.
`java.time.LocalTime` `getOldTime()` getOldTime, Returns the previous value of the TimePicker time.
`TimePicker` `getSource()` getSource, Returns the time picker that generated the event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeChangeEvent

    public TimeChangeEvent​(TimePicker source,
                           java.time.LocalTime oldTime,
                           java.time.LocalTime newTime)

Constructor.

### Method Detail

#### getSource

    public TimePicker getSource()

getSource, Returns the time picker that generated the event.

#### getOldTime

    public java.time.LocalTime getOldTime()

getOldTime, Returns the previous value of the TimePicker time. This is the value that existed before the time was changed.

#### getNewTime

    public java.time.LocalTime getNewTime()

getNewTime, Returns the new value of the TimePicker time. This is the value that currently exists. (Put in another way, this is the value that exists after the time was changed.)